debian7安装lnmp失败解决办法

通过winscp或sftp把./ lnmp1.1-full/debian.sh下载到本地

打开debian.sh,替换5.3.28 为5.4.17或者更高的PHP版本。注意是全部替换!

20150503115402

 

由于debian 7 比较的新,php5.3比较老,依赖存在兼容问题,重新编译依赖会很麻烦,直接升级比较新的版本比较好。

如果安装的时候 报错

If configure fails try –with-xpm-dir=<DIR>
configure: error: freetype.h not found.
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target ‘install’. Stop.

可以参考
http://www.phpbulo.com/archives/778.html

重新编译freetype

 

此条目发表在笔记分类目录,贴了, 标签。将固定链接加入收藏夹。

发表评论

电子邮件地址不会被公开。 必填项已用*标注